import { ClickResult } from '../../../../typing';
import { ActionWidget } from '../../../component';
export declare class PopupSubmitActionWidget extends ActionWidget {
    protected get label(): any;
    protected get updateData(): boolean;
    protected get validateForm(): boolean;
    private onSubmit;
    protected clickAction(): Promise<ClickResult>;
    protected reloadDataSourceAndRecords(result: ClickResult): void;
    protected clickActionAfter(result: ClickResult): ClickResult;
}
